PDA

View Full Version : error regarding gtk in installation



varun chadha
28th February 2009, 08:31 PM
i was installing 8085 simulator but on executing ./configure i get following error:
checking for GTK... no
configure: error:
Cannot find libgtk2.0 >= 2.12.0

Please check the following:

* Do you have the gtk+ development package installed?
(usually called gtk2-devel for rpm based distros or
libgtk2.0-dev for deb based distros or similar)
If
ls -l /usr/lib/pkgconfig/gtk+-2.0.pc
reports that the file does not exist, then you are missing
the development package.

how can i remedy it?
i am using fedora 7 on and my system is Intel core2 duo.

Hlingler
28th February 2009, 08:36 PM
* Do you have the gtk+ development package installed?
(usually called gtk2-devel for rpm based distros or
libgtk2.0-dev for deb based distros or similar)
If
ls -l /usr/lib/pkgconfig/gtk+-2.0.pc
reports that the file does not exist, then you are missing
the development package.
how can i remedy it?Install the package as instructed by the message.

V

varun chadha
28th February 2009, 08:39 PM
i did
yum search gtk
and got some content like this-
gtk2-devel.i386 2.10.14-4.fc7 installed
Matched from:
gtk2-devel
Development tools for GTK+ applications

The gtk+-devel package contains the header files and developer
docs for the GTK+ widget toolkit.

along with other content
do you think something else needs to be done?

Hlingler
28th February 2009, 08:55 PM
Cannot find libgtk2.0 >= 2.12.0gtk2-devel.i386 2.10.14-4.fc7 is NOT sufficient (2.10 < 2.12).

V

varun chadha
28th February 2009, 09:05 PM
i am using fedora 7
would gtk2-2.12.1-5.fc8.src.rpm do?

Hlingler
28th February 2009, 09:19 PM
Maybe, but I suspect you will find dependency problems. But try to re-build that SRPM anyway, it can't hurt....

If it works, then replace the existing gtk2 and gtk2-devel with the new stuff.

V

varun chadha
28th February 2009, 09:27 PM
it is giving me following error-

[root@localhost ~]# yum install gtk2-2.12.1-5.fc8
Loading "installonlyn" plugin
Setting up Install Process
Parsing package install arguments
fedora 100% |=========================| 2.1 kB 00:00
adobe-linux-i386 100% |=========================| 951 B 00:00
http://wftp.tu-chemnitz.de/pub/linux/livna/repo/7/i386/repodata/repomd.xml: [Errno 14] HTTP Error 404: Date: Sat, 28 Feb 2009 20:24:07 GMT
Server: Apache/2.2.3 (Scientific Linux)
Content-Length: 339
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
http://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/repo/7/i386/repodata/repomd.xml: [Errno 14] HTTP Error 404: Date: Sat, 28 Feb 2009 20:24:07 GMT
Server: Apache/2.2.10 (Fedora)
Vary: accept-language,accept-charset
Accept-Ranges: bytes
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Content-Language: en

Trying other mirror.
http://rpm.livna.org/repo/7/i386/repodata/repomd.xml: [Errno 14] HTTP Error 404: Date: Sat, 28 Feb 2009 20:23:57 GMT
Server: Apache/2.2.3 (CentOS)
Content-Length: 307
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
ftp://mirrors.tummy.com/pub/rpm.livna.org/repo/7/i386/repodata/repomd.xml: [Errno 4] IOError: [Errno ftp error] 550 Failed to change directory.
Trying other mirror.
http://livna.cat.pdx.edu/repo/7/i386/repodata/repomd.xml: [Errno 14] HTTP Error 404: Server: nginx/0.6.34
Date: Sat, 28 Feb 2009 20:24:12 GMT
Content-Type: text/html
Content-Length: 169
Connection: keep-alive

Trying other mirror.
Error: Cannot open/read repomd.xml file for repository: livna
[root@localhost ~]#

Hlingler
28th February 2009, 09:31 PM
Then disable the livna repo for this transaction. And remember: you need the gtk2-devel package also. And: where is the RPM located ? If you downloaded it, that is a LOCAL install. If you did not download it, how can you install it ???
yum localinstall gtk2-2.12.1-5.fc8 gtk2-devel-2.12.1-5.fc8 --disablerepo=livna*

V

P.S. If you successfully re-built the SRPM, then you will also need the '--nogpgcheck' switch.

varun chadha
28th February 2009, 09:45 PM
sir,
i am installing it for the first time so can you pls elaborate it
i'll tell you step by step process
i downloaded the gtk2-devel-2.12.1-5.fc8.src.rpm on desktop
then i ran the following command-
yum localinstall gtk2-devel-2.12.1-5.fc8.src.rpm --disablerepo=livna*
it is giving me following error-

Loading "installonlyn" plugin
Setting up Local Package Process
Cannot open file: gtk2-devel-2.12.1-5.fc8.src.rpm. Skipping.
Nothing to do

i tried the command given by you and that is giving the same result.